Subject: FVWM: FvwmTaskBar

From: Gregg Dameron <[email-masked]>
Date: Tue, 06 Nov 2001 11:11:00 -0700

A question, and an observation.  I'm running 2.4.3 on Sparc/Solaris 7.

Q:  Is there a way to add icons (e.g., for locking the screen) into the
"Goody" area of the Task Bar?  (This capability existed in fvwm95.)  If
not, would you suggest an FvwmButtons panel as the next best thing?

O:  When you finish resizing the Task Bar, it does a rapid "instant
replay" of the resize you just did.  It's especially noticeable if you
grow and shrink the Task Bar several times in a single resize operation.

Gregg Dameron

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dominik Vogt <[email-masked]>
Date: Wed, 7 Nov 2001 14:14:58 +0100

> not, would you suggest an FvwmButtons panel as the next best thing?

An FvwmIconMan in FvwmButtons should do the trick.  FvwmIconMan is
a much better "icon" manager than the TaskBar and FvwmButtons can
add all the other nifty features.

> grow and shrink the Task Bar several times in a single resize operation.

Yes, the code handling size and position changes in the TaskBar is
"suboptimal" ;-)  Others might use words you usually don't write
on a mailing list to describe it.  It tried to get this right
several times, but it's so screwed up that it's probably easier to
throw it away completely and rewrite it.

> Gregg Dameron

Bye

Dominik ^_^  ^_^

-- 
Dominik Vogt, email: [email-masked]
LifeBits Aktiengesellschaft, Albrechtstr. 9, D-72072 Tuebingen
fon: ++49 (0) 7071/7965-0, fax: ++49 (0) 7071/7965-20
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].